System for installing command-line Unix applications and tools on OS X. Free and open-source.

learn more… | top users | synonyms

2
votes
0answers
22 views

Emacs does not auto restart after reboot?

I install Emacs via Homebrew and create a symbolic link: /Applications/Emacs.app -> /usr/local/Cellar/emacs/24.3/Emacs.app What does not seem to work properly is that after restarting, other ...
4
votes
1answer
200 views

Determine flags that were given for packages installed with homebrew

Is there a way to check what flags were given when a package was installed with homebrew? For example, the emacs formula has an absurd number of flags. If I did brew install emacs --with-glib ...
1
vote
1answer
2k views

Best Practices for dealing with unbrewed files in a fresh install of homebrew

I accidentally deleted /usr/local/bin which contained brew among other things. I reinstalled homebrew and ran brew prune to get rid of broken symlinks, but when I run brew doctor, I still get the ...
4
votes
4answers
4k views

phpMyAdmin 403 Forbidden Error after upgrade to Yosemite

I upgraded my Mac to Mac OS X Yosemite. I had a AMP stack installed via Homebrew on Mavericks and it worked fine. After upgrading to Yosemite, I have the following problems: when trying to load ...
0
votes
1answer
331 views

Firewall: Add command-line tool to rules (mosh-server)

How can I add a command line tool I've installed manually to the system firewall? The tool is Mobile Shell (mosh) installed via the excellent Homebrew)? Specifically, I want to add a rule for ...
1
vote
1answer
2k views

When trying to upgrade osxfuse, I get “missing DEVELOPER_DIR path” message

I recently installed Yosemite, and am now trying to upgrade all of my brew installs (brew update, then brew upgrade). After remembering to do xcode-select --install, I finally got all of my installs ...
1
vote
1answer
1k views

Error while trying to open new Emacs.app after upgrade to Yosemite

After upgrade to Yosemite I get this when trying to launch new Emacs app from command-line. I've spent yesterday trying to figure out what's the problem, so today I decided to ask here. ➜ ~ open -n ...
1
vote
0answers
107 views

“brew install python” without Xcode in Snow Leopard

I've been able to get brew to install many packages on Snow Leopard using just the gcc library without installing all of Xcode. I had installed Python as well as PosgreSQL from the gui installer and ...
3
votes
1answer
442 views

Can't re-install homebrew

I'm having a problem re-installing homebrew. I am running Mavericks It started with me trying to install express.js. Homebrew had been installed on my mac for quite some time, never had any trouble ...
5
votes
3answers
3k views

Need help using Homebrew 'Services' command

I installed MongoDB using homebrew recently. A few articles on the web advise to start mongo using the following command, brew services start mongo But when I use this command, I get the following ...
3
votes
1answer
2k views

How to repair Homebrew permissions after installing as root?

I run brew as root, now it's defunct. No updates anymore. How to fix? $ brew update && brew upgrade error: Unable to append to .git/logs/HEAD: Permission denied error: Unable to append to ...
1
vote
1answer
1k views

How can I update my version of `unzip` to version 6.00 or higher?

Its a common problem that, when unzipping (read: 'open by double-click'), some .zip files result in a similar sized .cpgz file. But you expected an unzipped file or folder instead. The default unzip ...
0
votes
1answer
653 views

Why my brew does not work?

I installed brew before, but it does not work now. When I run brew, it give me the error -bash: brew: command not found So I tried to reinstall using the code ruby -e "$(curl -fsSL ...
1
vote
2answers
188 views

Update apps with home-brew (youtube-dl)

Mainly i want to update youtube-dl on my mac. I have used Linux so for that updating any app is very simple: apt-get update youtube-dl. But how to do it on Mac using home-brew. Is there any kind of ...
2
votes
2answers
2k views

brew bundle reporting “Error: unknown command: bundle”

I'm completely puzzled by this one. I have refactored my install scripts to use the new brew bundle feature. However, I'm getting "Error: unknown command: bundle" $ which brew /usr/local/bin/brew $ ...
0
votes
0answers
106 views

How to update OpenSSL with Homebrew on OS X 10.9.5?

Before updating OS X from 10.9.4 to x.x.5, I had OpenSSL updated through Homebrew to 1.0.1g. (I guess only symlinks are changed and both versions existed on the machine) With the OS update, the ...
2
votes
0answers
107 views

MacVim: difference in syntax highlighting in terminal and GUI

I installed MacVim with homebrew, and specified the option to override system vim. It can be confirmed by looking at the version of vim in terminal. However, I don't understand why the terminal ...
2
votes
1answer
29 views

Where does homebrew download software from?

I love how homebrew makes my life easier! Though, I just realized that I don't really know who is "signing off" the stuff I get installed through it. So, I ask: Is there a central repo (like Linux ...
8
votes
3answers
16k views

Where can I find the installed package path via brew

I installed some packages via brew. But I can not find where is it. I can NOT get access by typing hping on terminal % brew install hping ...
2
votes
1answer
395 views

Updating and running Git through Homebrew instead of XCode

On my new 2014 Mac (OS X 10.9 Mavericks), I have just installed Git using Homebrew. In order to install Homebrew, I had to download and install XCode 5. So now, when I enter the command which git, I ...
0
votes
1answer
866 views

Suddenly I cannot update HomeBrew

I am trying to fix some brew doctor error but now after manually erased some files that brew doctor suggested I get the following error when trying to do a brew update : error: cannot open ...
1
vote
1answer
655 views

Terminal “LoadModule” - command not found

I installed via homebrew the new php56 version. To activate it and use it I typed this in the Terminal: LoadModule php5_module /usr/local/opt/php56/libexec/apache2/libphp5.so But it says: ...
2
votes
1answer
273 views

Is there a command like namei for OS X?

I'm sifting through some incorrect permission issues and discovered the namei command for Linux. Homebrew doesn't currently have a Mac port. namei - follow a pathname until a terminal point is ...
-1
votes
2answers
509 views

Fatal error after brew update and brew upgrade

$ brew update Error: Permission denied - /usr/local/Library/Formula/abyss-explorer.rb $ brew upgrade ==> Upgrading 20 outdated packages, with result: ant 1.9.4, automake 1.14.1, elasticsearch ...
2
votes
0answers
335 views

Way to determine most popular Homebrew packages?

Is there a way to determine which Homebrew packages have been installed the most times, either in the recent past or all-time? It would make it easier to determine which formulae are the most useful, ...
1
vote
1answer
340 views

Striving to become power user on OS X (coming from Windows)

I'm a long time Windows developer guy & did lots of lower-level stuff (hesitate to say power user). I'm very proficient on the command line and using PowerShell... but now that I've moved over to ...
0
votes
0answers
366 views

How to launch Gnumeric after installing using Homebrew

I've installed Gnumeric using Homebrew. I first manually installed XQuartz (as required) and then ran brew install gnumeric. Everything seems to have installed fine. Now how do I launch it? When I ...
1
vote
3answers
4k views

Issue installing GCC using homebrew (scipy package dependency)

I am attempting to install the scipy (Scientific Python, including matplotlib) package using homebrew, and I noticed that it fails when it needs to install a dependency (gcc version 4.9.0). I ...
1
vote
1answer
149 views

Apt-get install tomcat7

I am currently running Mavericks. I have a Drupal7 Virtual Machine running (on VirtualBox). I am trying to install a tomcat7 server onto the VM. I have used the Terminal to SSH and login to my Drupal7 ...
1
vote
1answer
5k views

quick to install and set up FTP server on homebrew for OSX

I need the smallest and easiest FTP server just to grab some files during development. Homebrew has a discrete selection brew search ftp but I'm unsure which is the quickest to setup. I don't want ...
0
votes
1answer
98 views

Completely restore root and home folder after many problems with Macports and Homebrew

I had a long day battling with installing a LAMP environment with Macports. I installed several things, had many problems, tried uninstalling them (not sure if I did), and on and on. Then, I tried ...
1
vote
1answer
2k views

Cannot install MacVim 7.4 on OS X Maverick 10.9.4?

I have brew installed (v 0.9.5) along with Xcode (Version 5.1.1 (5B1008)). When I attempt to install MacVim like so I encounter the following error message: $ brew install macvim ==> Downloading ...
1
vote
1answer
2k views

Brew says Wine is installed but it fails to run with “command not found” error

I've recently just had a horrendous Mac hard drive issue which required an erase of the hard drive and a restore from an old back up. Since it's been back, it's not quite been the same. I had Wine ...
2
votes
2answers
209 views

Using `rsync` as more advanced `cp`

For copying large files (and/or large quantities of files), especially across disks, I prefer to avoid using the Finder as it often fails with some meaningless error message and/or complaint about ...
2
votes
2answers
1k views

How can I add support for .flac files in SoX?

I want SoX to record audio in .flac files. When I do: rec -t flac ~/Desktop/myrec.flac …it gives the following error: rec FAIL formats: no handler for given file type `flac' I have installed SoX ...
3
votes
1answer
6k views

LSOpenURLsWithRole() failed with error -10810

Downloaded and installed the AirStream application, and when I launched it nothing happens. In Terminal the output is $ open /opt/homebrew-cask/Caskroom/airstream/latest/AirStream.app ...
2
votes
1answer
543 views

My Xcode build requires cURL 8.0.0 or later (which doesn't exist)

I'm writing a C program in Xcode that uses cURL. It builds properly on my Mac Pro running 10.8.5, but on my MacBook Pro running 10.8.5, it gives me this error when I try to build: dyld: Library not ...
1
vote
0answers
894 views

removing outdated casks from homebrew

I am using homebrew-cask to keep my ecosystem of applications up-to-date. However, when some package are getting updated (such as google chrome), I end up having different concurrent versions ...
1
vote
0answers
448 views

Segmentation fault: 11 error ( OpenCV )

I've installed OpenCV, numpy and all other required contents using brew install opencv. Then I tried running it python >> import cv or python >> import cv2 but I get a "Segmentation ...
0
votes
0answers
1k views

homebrew formula not found error for a removed package

I get this message every time I open a terminal in mac Error: No available formula for php55 Please tap it and then try again: brew tap josegonzalez/php php is not installed on my system and when ...
1
vote
1answer
232 views

Error during WebSocket handshake: Status line contains embedded null (using livereload, node-inspector, and karma)

Whenever I run something in my Terminal that requires a websocket to a browser (livereload, node-inspector, karma), I get the following console error "Error during WebSocket handshake: Status line ...
2
votes
1answer
8k views

Bash or sh cannot execute any binary files

While I am able to execute binaries, when the terminal is open, if I type: /bin/bash make or /bin/sh ls I get: /usr/bin/make: /usr/bin/make: cannot execute binary file Why is that? I am on ...
2
votes
2answers
1k views

How to install memcache on Mavericks? (MAMP)

I have MAMP on my machine, and I would like to install memcache for php, because one of my project throws errors like Fatal error: Class 'Memcache' not found. I installed X-Code from appstore, and ...
0
votes
1answer
179 views

How to install gource with homebrew?

I am trying to install gource via homebrew. It yields in the following error: $ brew install gource ==> Downloading ...
3
votes
2answers
7k views

How to upgrade Apache 2.2 to 2.4 in MacOSX Mavericks

My ISP has upgraded the server to Apache 2.4.9 from 2.2.xx. It has broken a couple things in my setup and I want to bring my local copy of Apache 2.2.26 to 2.4.9 so that I can test locally. I've been ...
2
votes
1answer
2k views

Howto install 'MySQL Utilities' using brew or brew cask

I installed MySQL server and client using brew. I installed MySQL Workbench with brew cask. But I don't find MySQL Utilities (something new?). Howto install that using brew or brew cask? ...
5
votes
2answers
909 views

packages installed with Homebrew not found after restore

I got a new Macbook Pro and restored from the backup, all of my packages are in still there and the path is still correct, but when I type a command that was installed on the previous system it ...
0
votes
1answer
515 views

How to fix npm to find correct node enviorment?

I have installed homebrew via boxen. I did not know that npm update -g is a bad thing to do, as npm runs amok trying to update itself. Hence, npm stopped working. I am now trying to get node and npm ...
1
vote
1answer
3k views

Nokogiri gem fails to install in OS X Mavericks

Install fails showing: checking for iconv_open() in iconv.h... no checking for iconv_open() in -liconv... no checking for iconv_open() in -liconv... no checking for libiconv_open() in iconv.h... no ...
0
votes
1answer
324 views

Homebrew: can't remove 'keg-only' OpenSSL application

Given the recent OpenSSL scare I'm trying to clean out older versions from my machines but Homebrew won't let me: $ brew dirty openssl (1.0.1e, 1.0.1f, 1.0.1g) $ brew cleanup openssl Warning: ...